Skip to docs content
Browse and search
On this page

Replay stored events

Returns stored events newest first. Repeat handle parameters or use comma-separated values.

GET/api/history

Authorization

  • AuthorizationstringheaderrequiredBearer authentication with your TweetStream API key: Bearer <key>.

Query parameters

  • handlestringoptionalTracked handle. Repeat or provide a comma-separated list.
  • handlesstringoptionalAlias for handle. Repeat or provide a comma-separated list.
  • handle[]string[]optionalArray-style alias for handle.
  • handles[]string[]optionalArray-style alias for handles.
  • cursorstringoptionalStable cursor returned by a previous history page.
  • startDatestringoptional
  • endDatestringoptional
  • limitintegeroptional
  • typeenum<string>optional

Response fields

  • dataobject[]required
    • bodystringrequired
    • contentobjectrequired
    • messageTypeenum<string>required
    • metaobjectoptional
    • receivedTimestringrequired
    • timestringrequired
    • tweetIdstringrequired
    • twitterHandlestring | nullrequired
    • twitterIdstringrequired
  • metadataobjectrequired
    • countintegerrequired
    • endDatestringoptional
    • handlestringoptional
    • handlesstring[]optional
    • nextCursorstring | nullrequired
    • startDatestringoptional
    • typeenum<string>optional

Responses

  • 200Success
  • 400Invalid request
  • 401Missing or invalid API key
  • 403The authenticated account cannot use this capability
  • 429Rate limit reached
  • 500The request could not be completed